com.mapinfo.midev.unit

## Class AreaUnit

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.unit.AreaUnit

All Implemented Interfaces:
  Serializable, Comparable

    public final class AreaUnit
    extends Enum

A unit of measure for area.

See Also:
  Serialized Form

### Field Summary

Fields
`static AreaUnit` `ACRE` An AreaUnit representing acres (4840 sq yards).
`static AreaUnit` `ARE` An AreaUnit representing ares (100 sq meters).
`static AreaUnit` `HECTARE` An AreaUnit representing hectares (10000 sq meters).
`static AreaUnit` `PERCH` An AreaUnit representing perches (30.25 sq yards).
`static AreaUnit` `ROOD` An AreaUnit representing roods (1/4 acres or 1210 sq yards).
`static AreaUnit` `SQUARE_CENTIMETER` An AreaUnit representing square centimeters.
`static AreaUnit` `SQUARE_CHAIN` An AreaUnit representing square chains.
`static AreaUnit` `SQUARE_FOOT` An AreaUnit representing square feet.
`static AreaUnit` `SQUARE_INCH` An AreaUnit representing square inches.
`static AreaUnit` `SQUARE_KILOMETER` An AreaUnit representing square kilometers.
`static AreaUnit` `SQUARE_LINK` An AreaUnit representing square links.
`static AreaUnit` `SQUARE_METER` An AreaUnit representing square meters.
`static AreaUnit` `SQUARE_MILE` An AreaUnit representing square miles.
`static AreaUnit` `SQUARE_MILLIMETER` An AreaUnit representing square millimeters.
`static AreaUnit` `SQUARE_NAUTICAL_MILE` An AreaUnit representing square nautical miles.
`static AreaUnit` `SQUARE_ROD` An AreaUnit representing square rods.
`static AreaUnit` `SQUARE_SURVEY_FOOT` An AreaUnit representing square US survey feet.
`static AreaUnit` `SQUARE_YARD` An AreaUnit representing square yards.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static double` `convert(double area, AreaUnit fromUnit, AreaUnit toUnit)` Convert the specified area to its equivalent value in another area unit.
`double` `getSquareMetersPerUnit()` Get the number of square meters equivalent to one of this unit of measure.
`static AreaUnit` `valueOf(String name)`
`static AreaUnit[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SQUARE_INCH

    public static final AreaUnit SQUARE_INCH

An AreaUnit representing square inches.

#### SQUARE_FOOT

    public static final AreaUnit SQUARE_FOOT

An AreaUnit representing square feet.

#### SQUARE_YARD

    public static final AreaUnit SQUARE_YARD

An AreaUnit representing square yards.

#### SQUARE_MILE

    public static final AreaUnit SQUARE_MILE

An AreaUnit representing square miles.

#### SQUARE_MILLIMETER

    public static final AreaUnit SQUARE_MILLIMETER

An AreaUnit representing square millimeters.

#### SQUARE_CENTIMETER

    public static final AreaUnit SQUARE_CENTIMETER

An AreaUnit representing square centimeters.

#### SQUARE_METER

    public static final AreaUnit SQUARE_METER

An AreaUnit representing square meters.

#### SQUARE_KILOMETER

    public static final AreaUnit SQUARE_KILOMETER

An AreaUnit representing square kilometers.

#### SQUARE_SURVEY_FOOT

    public static final AreaUnit SQUARE_SURVEY_FOOT

An AreaUnit representing square US survey feet.

#### SQUARE_NAUTICAL_MILE

    public static final AreaUnit SQUARE_NAUTICAL_MILE

An AreaUnit representing square nautical miles.

#### SQUARE_LINK

    public static final AreaUnit SQUARE_LINK

An AreaUnit representing square links.

#### SQUARE_CHAIN

    public static final AreaUnit SQUARE_CHAIN

An AreaUnit representing square chains.

#### SQUARE_ROD

    public static final AreaUnit SQUARE_ROD

An AreaUnit representing square rods.

#### ACRE

    public static final AreaUnit ACRE

An AreaUnit representing acres (4840 sq yards).

#### ARE

    public static final AreaUnit ARE

An AreaUnit representing ares (100 sq meters).

#### HECTARE

    public static final AreaUnit HECTARE

An AreaUnit representing hectares (10000 sq meters).

#### PERCH

    public static final AreaUnit PERCH

An AreaUnit representing perches (30.25 sq yards).

#### ROOD

    public static final AreaUnit ROOD

An AreaUnit representing roods (1/4 acres or 1210 sq yards).

### Method Detail

#### values

    public static AreaUnit[] values()

#### valueOf

    public static AreaUnit valueOf(String name)

#### getSquareMetersPerUnit

    public double getSquareMetersPerUnit()

Get the number of square meters equivalent to one of this unit of measure.

Returns:
  The number of square meters equivalent to one of this unit of measure.

#### convert

    public static double convert(double area,
                                 AreaUnit fromUnit,
                                 AreaUnit toUnit)

Convert the specified area to its equivalent value in another area unit.

Parameters:
  `area` - An area with unit fromUnit
  `fromUnit` - The area unit of the specified area.
  `toUnit` - The area unit for the converted value.
Returns:
  The converted area in the specified units.